import { z } from "zod";
export type JSONValue = string | number | boolean | null | JSONObject | JSONArray;
export declare const jsonValueSchema: z.ZodType<JSONValue>;
export declare function isJSONValue(value?: unknown): value is JSONValue;
export declare function parseJSONValue(value?: unknown): JSONValue | undefined;
export interface JSONArray extends Array<JSONValue> {
}
export declare const jsonArraySchema: z.ZodArray<z.ZodType<JSONValue, z.ZodTypeDef, JSONValue>, "many">;
export declare function isJSONArray(value?: unknown): value is JSONArray;
export declare function parseJSONArray(value?: unknown): JSONArray | undefined;
export type JSONObject = {
    [key in string]?: JSONValue;
};
export declare const jsonObjectSchema: z.ZodRecord<z.ZodString, z.ZodType<JSONValue, z.ZodTypeDef, JSONValue>>;
export declare function isJSONObject(value?: unknown): value is JSONObject;
export declare function parseJSONObject(value?: unknown): JSONObject | undefined;
export declare const booleanSchema: z.ZodBoolean;
export declare function isBoolean(value?: unknown): value is boolean;
export declare function parseBoolean(value?: unknown): boolean | undefined;
export declare const numberSchema: z.ZodNumber;
export declare function isNumber(value?: unknown): value is number;
export declare function parseNumber(value?: unknown): number | undefined;
export declare const stringSchema: z.ZodString;
export declare function isString(value?: unknown): value is string;
export declare function parseString(value?: unknown): string | undefined;
export declare const nullSchema: z.ZodNull;
export declare function isNull(value?: unknown): value is null;
export declare function parseNull(value?: unknown): null | undefined;
export declare function isUndefined(value?: JSONValue): value is undefined;
